function [val,nouv_a,nouv_c]=evaluation2_verid(n,a,c,t)
% Evaluation d'un polynome p avec schma de Hrner
% n degr du polynome
% a vecteur des diffrences divises
% c vecteur des centres
% t valeur pour lequel on value p
% On retourne :
% val : p(t)
% nouv_a : composantes de p dans l'criture de Newton
% nouv_c : ???

if n<0
    disp 'Erreur : Le degr de p doit tre positif ou nul'
    return
end
if (size(a,1)~=1)||(size(c,1)~=1)
    disp 'Erreur : Les matrices a et c sont des vecteurs lignes'
    return
end
if (size(a,2)~=n+1)&&(size(c,2)~=n)
    disp 'Erreur : On a n centres et n+1 coeffs, les tailles de a et c doivent correspondre'
    return
end

% Fin des verifs - algo
nouv_a=a;
for i=n-1:-1:0 % calcul des nouvelles composantes
    nouv_a(i+1)=a(i+1)+(t-c(i+1))*nouv_a(i+2);
end
val=nouv_a(1);
nouv_c=[t,c(1:n-1)];
end