function t=table_diff_div(x,y)
% function t=table_diff_div(x,y)
% Retourne la table des diffrences divises d'une fonction dont on
% connait les valeurs aux x donns.
% x : vecteurs colonne des points du support
% y : valeurs connues de f, correspondantes aux x donns

n=size(x,1)-1;
for i=1:n+1
    t(i,1)=y(i);
end
for j=2:n+1 % avance dans les colonnes
    for i=1:n-j+2 % avance dans les lignes
        t(i,j)=(t(i+1,j-1)-t(i,j-1))/(x(i+j-1)-x(i));
    end
end
end