function [VAL,NOUV_A,NOUV_C]=evaluation(n,a,c,T)
% function [VAL,NOUV_A,NOUV_C]=evaluation(n,a,c,T)
% Evaluation d'un polynome p avec schma de Hrner
% n degr du polynome
% a vecteur des diffrences divises
% c vecteur des centres
% T valeur(s) pour le(s)quel(les) on value p
% Si T est un vecteur, nouv_a, nouv_c aussi
% On retourne :
% val : p(T)
% nouv_a : composantes de p dans l'criture de Newton
% nouv_c : ???
VAL=[];NOUV_A=[];NOUV_C=[];
for i=1:size(T,1)
    [val,nouv_a,nouv_c]=evaluation2(n,a,c,T(i));
    VAL=[VAL;val];
    NOUV_A=[NOUV_A;nouv_a];
    NOUV_C=[NOUV_C;nouv_c];
end
end