function val=evaluation1_verif(n,a,c,t)
% function val=evaluation1(n,a,c,t)
% Evaluation itrative d'un polynome p sous forme de Newton
% n degr du polynome
% a vecteur des diffrences divises
% c vecteur des centres
% t valeur pour lequel on value p

if n<0
    disp 'Erreur : Le degr de p doit tre positif ou nul'
    return
end
if (size(a,1)~=1)||(size(c,1)~=1)
    disp 'Erreur : Les matrices a et c sont des vecteurs lignes'
    return
end
if (size(a,2)~=n+1)&&(size(c,2)~=n)
    disp 'Erreur : On a n centres et n+1 coeffs, les tailles de a et c doivent correspondre'
    return
end

% Fin des verifs - algo
val=0;
for i=0:n
    pdt=1;
    for j=1:i
        pdt=pdt*(t-c(j));
    end
    val=val+a(i+1)*pdt;
end
end