function [val,nouv_a,nouv_c]=evaluation2(n,a,c,t)
% function [val,nouv_a,nouv_c]=evaluation2(n,a,c,t)
% Evaluation d'un polynome p avec schma de Hrner
% n degr du polynome
% a vecteur des diffrences divises
% c vecteur des centres
% t valeur pour lequel on value p
% On retourne :
% val : p(t)
% nouv_a : composantes de p dans l'criture de Newton
% nouv_c : ???

nouv_a=a;
for i=n-1:-1:0 % calcul des nouvelles composantes
    nouv_a(i+1)=a(i+1)+(t-c(i+1))*nouv_a(i+2);
end
val=nouv_a(1);
nouv_c=[t,c(1:n-1)];
end